> **For AI agents:** this page is a focused, LLM-optimized view of a
> single Fiber AI operation. Before calling it, fetch the routing
> instructions at [`https://api.fiber.ai/llms.txt`](https://api.fiber.ai/llms.txt) and the full operation
> index at [`https://api.fiber.ai/ai-docs/index.md`](https://api.fiber.ai/ai-docs/index.md).

# createSavedSearch

`POST /v1/saved-search/create`

**Tags:** `Saved search`

Create saved search

**Endpoint:** `https://api.fiber.ai/v1/saved-search/create`

## Description

Create a new saved search. Given search params, it automatically re-runs it periodically and tells you which new people and/or companies fit your parameters over time (and also who drops out or returns). You are charged for each new prospect or company we find, depending on your desired type. You can also manually run the saved search if you don't want to wait for the next auto-run.

⚡ Rate limit: 10 requests per 1 minute

💰 Cost: 2 credits per prospect/company found in search ⓘ

## Request body (JSON Schema)

```json
{
  "type": "object",
  "properties": {
    "apiKey": {
      "type": "string",
      "description": "Your Fiber API key"
    },
    "name": {
      "type": "string",
      "description": "The name of the saved search."
    },
    "searchParams": {
      "oneOf": [
        {
          "type": "object",
          "properties": {
            "type": {
              "type": "string",
              "description": "The search type: combined companies and profiles.",
              "enum": [
                "combined"
              ]
            },
            "companySearchParams": {
              "type": "object",
              "properties": {
                "exactCompanyV2": {
                  "type": [
                    "object",
                    "null"
                  ],
                  "properties": {
                    "anyOf": {
                      "type": [
                        "array",
                        "null"
                      ],
                      "items": {
                        "oneOf": [
                          {
                            "type": "object",
                            "properties": {
                              "identifier": {
                                "type": "string",
                                "enum": [
                                  "domain"
                                ]
                              },
                              "domain": {
                                "type": "string",
                                "pattern": "^(https?:\\/\\/)?([a-zA-Z0-9-]+\\.)+[a-zA-Z]{2,}(\\/.*)?$"
                              }
                            },
                            "required": [
                              "identifier",
                              "domain"
                            ]
                          },
                          {
                            "type": "object",
                            "properties": {
                              "identifier": {
                                "type": "string",
                                "enum": [
                                  "linkedin-url"
                                ]
                              },
                              "linkedin_url": {
                                "type": "string",
                                "format": "uri",
                                "pattern": "^https:\\/\\/(www\\.)?linkedin\\.com\\/company\\/[a-zA-Z0-9-]+\\/?.*$"
                              }
                            },
                            "required": [
                              "identifier",
                              "linkedin_url"
                            ]
                          },
                          {
                            "type": "object",
                            "properties": {
                              "identifier": {
                                "type": "string",
                                "enum": [
                                  "linkedin-org-id"
                                ]
                              },
                              "org_id": {
                                "type": "string",
                                "pattern": "^[0-9]+$"
                              }
                            },
                            "required": [
                              "identifier",
                              "org_id"
                            ]
                          },
                          {
                            "type": "object",
                            "properties": {
                              "identifier": {
                                "type": "string",
                                "enum": [
                                  "advanced"
                                ]
                              },
                              "linkedin_id": {
                                "type": [
                                  "string",
                                  "null"
                                ]
                              },
                              "li_org_id": {
                                "type": "string",
                                "minLength": 1
                              },
                              "preferred_name": {
                                "type": [
                                  "string",
                                  "null"
                                ]
                              },
                              "names": {
                                "type": [
                                  "array",
                                  "null"
                                ],
                                "items": {
                                  "type": "string"
                                }
                              },
                              "linkedin_primary_slug": {
                                "type": [
                                  "string",
                                  "null"
                                ]
                              },
                              "domains": {
                                "type": [
                                  "array",
                                  "null"
                                ],
                                "items": {
                                  "type": "string"
                                }
                              },
                              "logo_url": {
                                "type": [
                                  "string",
                                  "null"
                                ]
                              },
                              "source": {
                                "type": [
                                  "string",
                                  "null"
                                ],
                                "enum": [
                                  "csv",
                                  null
                                ]
                              }
                            },
                            "required": [
                              "identifier",
                              "li_org_id"
                            ]
                          }
                        ]
                      }
                    },
                    "noneOf": {
                      "type": [
                        "array",
                        "null"
                      ],
                      "items": {
                        "oneOf": [
                          {
                            "type": "object",
                            "properties": {
                              "identifier": {
                                "type": "string",
                                "enum": [
                                  "domain"
                                ]
                              },
                              "domain": {
                                "type": "string",
                                "pattern": "^(https?:\\/\\/)?([a-zA-Z0-9-]+\\.)+[a-zA-Z]{2,}(\\/.*)?$"
                              }
                            },
                            "required": [
                              "identifier",
                              "domain"
                            ]
                          },
                          {
                            "type": "object",
                            "properties": {
                              "identifier": {
                                "type": "string",
                                "enum": [
                                  "linkedin-url"
                                ]
                              },
                              "linkedin_url": {
                                "type": "string",
                                "format": "uri",
                                "pattern": "^https:\\/\\/(www\\.)?linkedin\\.com\\/company\\/[a-zA-Z0-9-]+\\/?.*$"
                              }
                            },
                            "required": [
                              "identifier",
                              "linkedin_url"
                            ]
                          },
                          {
                            "type": "object",
                            "properties": {
                              "identifier": {
                                "type": "string",
                                "enum": [
                                  "linkedin-org-id"
                                ]
                              },
                              "org_id": {
                                "type": "string",
                                "pattern": "^[0-9]+$"
                              }
                            },
                            "required": [
                              "identifier",
                              "org_id"
                            ]
                          },
                          {
                            "type": "object",
                            "properties": {
                              "identifier": {
                                "type": "string",
                                "enum": [
                                  "advanced"
                                ]
                              },
                              "linkedin_id": {
                                "type": [
                                  "string",
                                  "null"
                                ]
                              },
                              "li_org_id": {
                                "type": "string",
                                "minLength": 1
                              },
                              "preferred_name": {
                                "type": [
                                  "string",
                                  "null"
                                ]
                              },
                              "names": {
                                "type": [
                                  "array",
                                  "null"
                                ],
                                "items": {
                                  "type": "string"
                                }
                              },
                              "linkedin_primary_slug": {
                                "type": [
                                  "string",
                                  "null"
                                ]
                              },
                              "domains": {
                                "type": [
                                  "array",
                                  "null"
                                ],
                                "items": {
                                  "type": "string"
                                }
                              },
                              "logo_url": {
                                "type": [
                                  "string",
                                  "null"
                                ]
                              },
                              "source": {
                                "type": [
                                  "string",
                                  "null"
                                ],
                                "enum": [
                                  "csv",
                                  null
                                ]
                              }
                            },
                            "required": [
                              "identifier",
                              "li_org_id"
                            ]
                          }
                        ]
                      }
                    }
                  }
                },
                "domains": {
                  "type": [
                    "array",
                    "null"
                  ],
                  "items": {
                    "type": "string"
                  }
                },
                "headquartersCountryCode": {
                  "type": [
                    "object",
                    "null"
                  ],
                  "properties": {
                    "anyOf": {
                      "type": [
                        "array",
                        "null"
                      ],
                      "items": {
                        "type": "string",
                        "enum": [
                          "USA",
                          "GBR",
                          "FRA",
                          "IND",
                          "BRA",
                          "DEU",
                          "ESP",
                          "CAN",
                          "AUS",
                          "NLD",
                          "ITA",
                          "ZAF",
                          "BEL",
                          "CHN",
                          "TUR",
                          "MEX",
                          "CHE",
                          "NOR",
                          "ARE",
                          "SWE",
                          "POL",
                          "IDN",
                          "ARG",
                          "PRT",
                          "COL",
                          "CHL",
                          "PAK",
                          "DNK",
                          "JPN",
                          "NGA",
                          "SGP",
                          "PER",
                          "NZL",
                          "AUT",
                          "IRL",
                          "MYS",
                          "BGD",
                          "EGY",
                          "ISR",
                          "SAU",
                          "PHL",
                          "FIN",
                          "IRN",
                          "ROU",
                          "CZE",
                          "GRC",
                          "HKG",
                          "HUN",
                          "KEN",
                          "MAR",
                          "VNM",
                          "RUS",
                          "UKR",
                          "ECU",
                          "THA",
                          "LKA",
                          "KOR",
                          "BGR",
                          "GHA",
                          "SRB",
                          "TWN",
                          "HRV",
                          "LTU",
                          "PRI",
                          "SVK",
                          "TUN",
                          "EST",
                          "VEN",
                          "CRI",
                          "PAN",
                          "URY",
                          "LBN",
                          "LUX",
                          "CYP",
                          "NPL",
                          "JOR",
                          "SVN",
                          "MTQ",
                          "QAT",
                          "GLP",
                          "UGA",
                          "DZA",
                          "GTM",
                          "CMR",
                          "LVA",
                          "DOM",
                          "AZE",
                          "GEO",
                          "SEN",
                          "TZA",
                          "ZWE",
                          "KWT",
                          "MLT",
                          "OMN",
                          "BOL",
                          "SLV",
                          "ARM",
                          "PRY",
                          "IRQ",
                          "KHM",
                          "BIH",
                          "AGO",
                          "BHR",
                          "ALB",
                          "KAZ",
                          "CIV",
                          "ETH",
                          "MUS",
                          "ZMB",
                          "MKD",
                          "COD",
                          "BLR",
                          "MOZ",
                          "REU",
                          "TTO",
                          "GUF",
                          "ISL",
                          "MMR",
                          "HND",
                          "RWA",
                          "MDG",
                          "BEN",
                          "UZB",
                          "NAM",
                          "BWA",
                          "MDA",
                          "JEY",
                          "NIC",
                          "SDN",
                          "JAM",
                          "IMN",
                          "BFA",
                          "MNG",
                          "MNE",
                          "MCO",
                          "TGO",
                          "AFG",
                          "LBY",
                          "XKX",
                          "CYM",
                          "MWI",
                          "SOM",
                          "PNG",
                          "MDV",
                          "MLI",
                          "GIN",
                          "PSE",
                          "GAB",
                          "LIE",
                          "HTI",
                          "SYR",
                          "BRB",
                          "YEM",
                          "GGY",
                          "NCL",
                          "AND",
                          "SUR",
                          "MYT",
                          "KGZ",
                          "BHS",
                          "GIB",
                          "COG",
                          "FJI",
                          "BLM",
                          "CUW",
                          "CUB",
                          "SLE",
                          "BLZ",
                          "NER",
                          "LBR",
                          "VIR",
                          "PYF",
                          "GUM",
                          "MRT",
                          "ABW",
                          "SYC",
                          "GUY",
                          "LSO",
                          "SWZ",
                          "SSD",
                          "LCA",
                          "MAC",
                          "SMR",
                          "LAO",
                          "BRN",
                          "TCD",
                          "BMU",
                          "VGB",
                          "PRK",
                          "BTN",
                          "BDI",
                          "FRO",
                          "TJK",
                          "GMB",
                          "STP",
                          "ANT",
                          "VCT",
                          "DJI",
                          "CPV",
                          "TKM",
                          "ATG",
                          "TCA",
                          "KNA",
                          "GRD",
                          "ASM",
                          "VUT",
                          "GNQ",
                          "GRL",
                          "SXM",
                          "MNP",
                          "COM",
                          "TLS",
                          "SJM",
                          "CAF",
                          "DMA",
                          "MAF",
                          "WSM",
                          "BES",
                          "MHL",
                          "AIA",
                          "TON",
                          "COK",
                          "SLB",
                          "SPM",
                          "GNB",
                          "ATA",
                          "TUV",
                          "ALA",
                          "IOT",
                          "ERI",
                          "PLW",
                          "FSM",
                          "NRU",
                          "PCN",
                          "FLK",
                          "MSR",
                          "VAT",
                          "KIR",
                          "SHN",
                          "NIU",
                          "WLF",
                          "HMD",
                          "CXR",
                          "NFK",
                          "ATF",
                          "CCK",
                          "SGS",
                          "BVT",
                          "UMI",
                          "ESH",
                          "TKL",
                          "X-SOUTH_ASIA",
                          "X-SOUTH_EAST_EUROPE",
                          "X-NORTHERN_AFRICA",
                          "X-PACIFIC",
                          "X-SOUTH_WEST_EUROPE",
                          "X-SOUTHERN_AFRICA",
                          "X-WEST_INDIES",
                          "X-SOUTH_AMERICA",
                          "X-SOUTH_WEST_ASIA",
                          "X-CENTRAL_EUROPE",
                          "X-EASTERN_EUROPE",
                          "X-WESTERN_EUROPE",
                          "X-CENTRAL_AMERICA",
                          "X-WESTERN_AFRICA",
                          "X-SOUTH_ATLANTIC_OCEAN",
                          "X-SOUTH_EAST_ASIA",
                          "X-CENTRAL_AFRICA",
                          "X-NORTH_AMERICA",
                          "X-EAST_ASIA",
                          "X-NORTHERN_EUROPE",
                          "X-EASTERN_AFRICA",
                          "X-SOUTHERN_INDIAN_OCEAN",
                          "X-SOUTHERN_EUROPE",
                          "X-CENTRAL_ASIA",
                          "X-NORTHERN_ASIA",
                          "X-ASIA",
                          "X-EUROPE",
                          "X-AFRICA",
                          "X-OCEANIA",
                          "X-AMERICAS",
                          "X-ANTARCTICA",
                          "X-ATLANTIC_OCEAN",
                          "X-INDIAN_OCEAN",
                          "X-MIDDLE_EAST",
                          "X-MENA",
                          "X-EMEA",
                          "X-EUROPEAN_UNION",
                          "X-EFTA",
                          "X-APAC",
                          "X-LATAM",
                          "X-ANGLOSPHERE",
                          "X-DACH",
                          "X-NORDICS",
                          "X-BENELUX",
                          "X-GCC",
                          "X-BRICS",
                          "X-G20",
                          "X-OECD",
                          "X-SANCTIONED"
                        ]
                      }
                    },
                    "noneOf": {
                      "type": [
                        "array",
                        "null"
                      ],
                      "items": {
                        "type": "string",
                        "enum": [
                          "USA",
                          "GBR",
                          "FRA",
                          "IND",
                          "BRA",
                          "DEU",
                          "ESP",
                          "CAN",
                          "AUS",
                          "NLD",
                          "ITA",
                          "ZAF",
                          "BEL",
                          "CHN",
                          "TUR",
                          "MEX",
                          "CHE",
                          "NOR",
                          "ARE",
                          "SWE",
                          "POL",
                          "IDN",
                          "ARG",
                          "PRT",
                          "COL",
                          "CHL",
                          "PAK",
                          "DNK",
                          "JPN",
                          "NGA",
                          "SGP",
                          "PER",
                          "NZL",
                          "AUT",
                          "IRL",
                          "MYS",
                          "BGD",
                          "EGY",
                          "ISR",
                          "SAU",
                          "PHL",
                          "FIN",
                          "IRN",
                          "ROU",
                          "CZE",
                          "GRC",
                          "HKG",
                          "HUN",
                          "KEN",
                          "MAR",
                          "VNM",
                          "RUS",
                          "UKR",
                          "ECU",
                          "THA",
                          "LKA",
                          "KOR",
                          "BGR",
                          "GHA",
                          "SRB",
                          "TWN",
                          "HRV",
                          "LTU",
                          "PRI",
                          "SVK",
                          "TUN",
                          "EST",
                          "VEN",
                          "CRI",
                          "PAN",
                          "URY",
                          "LBN",
                          "LUX",
                          "CYP",
                          "NPL",
                          "JOR",
                          "SVN",
                          "MTQ",
                          "QAT",
                          "GLP",
                          "UGA",
                          "DZA",
                          "GTM",
                          "CMR",
                          "LVA",
                          "DOM",
                          "AZE",
                          "GEO",
                          "SEN",
                          "TZA",
                          "ZWE",
                          "KWT",
                          "MLT",
                          "OMN",
                          "BOL",
                          "SLV",
                          "ARM",
                          "PRY",
                          "IRQ",
                          "KHM",
                          "BIH",
                          "AGO",
                          "BHR",
                          "ALB",
                          "KAZ",
                          "CIV",
                          "ETH",
                          "MUS",
                          "ZMB",
                          "MKD",
                          "COD",
                          "BLR",
                          "MOZ",
                          "REU",
                          "TTO",
                          "GUF",
                          "ISL",
                          "MMR",
                          "HND",
                          "RWA",
                          "MDG",
                          "BEN",
                          "UZB",
                          "NAM",
                          "BWA",
                          "MDA",
                          "JEY",
                          "NIC",
                          "SDN",
                          "JAM",
                          "IMN",
                          "BFA",
                          "MNG",
                          "MNE",
                          "MCO",
                          "TGO",
                          "AFG",
                          "LBY",
                          "XKX",
                          "CYM",
                          "MWI",
                          "SOM",
                          "PNG",
                          "MDV",
                          "MLI",
                          "GIN",
                          "PSE",
                          "GAB",
                          "LIE",
                          "HTI",
                          "SYR",
                          "BRB",
                          "YEM",
                          "GGY",
                          "NCL",
                          "AND",
                          "SUR",
                          "MYT",
                          "KGZ",
                          "BHS",
                          "GIB",
                          "COG",
                          "FJI",
                          "BLM",
                          "CUW",
                          "CUB",
                          "SLE",
                          "BLZ",
                          "NER",
                          "LBR",
                          "VIR",
                          "PYF",
                          "GUM",
                          "MRT",
                          "ABW",
                          "SYC",
                          "GUY",
                          "LSO",
                          "SWZ",
                          "SSD",
                          "LCA",
                          "MAC",
                          "SMR",
                          "LAO",
                          "BRN",
                          "TCD",
                          "BMU",
                          "VGB",
                          "PRK",
                          "BTN",
                          "BDI",
                          "FRO",
                          "TJK",
                          "GMB",
                          "STP",
                          "ANT",
                          "VCT",
                          "DJI",
                          "CPV",
                          "TKM",
                          "ATG",
                          "TCA",
                          "KNA",
                          "GRD",
                          "ASM",
                          "VUT",
                          "GNQ",
                          "GRL",
                          "SXM",
                          "MNP",
                          "COM",
                          "TLS",
                          "SJM",
                          "CAF",
                          "DMA",
                          "MAF",
                          "WSM",
                          "BES",
                          "MHL",
                          "AIA",
                          "TON",
                          "COK",
                          "SLB",
                          "SPM",
                          "GNB",
                          "ATA",
                          "TUV",
                          "ALA",
                          "IOT",
                          "ERI",
                          "PLW",
                          "FSM",
                          "NRU",
                          "PCN",
                          "FLK",
                          "MSR",
                          "VAT",
                          "KIR",
                          "SHN",
                          "NIU",
                          "WLF",
                          "HMD",
                          "CXR",
                          "NFK",
                          "ATF",
                          "CCK",
                          "SGS",
                          "BVT",
                          "UMI",
                          "ESH",
                          "TKL",
                          "X-SOUTH_ASIA",
                          "X-SOUTH_EAST_EUROPE",
                          "X-NORTHERN_AFRICA",
                          "X-PACIFIC",
                          "X-SOUTH_WEST_EUROPE",
                          "X-SOUTHERN_AFRICA",
                          "X-WEST_INDIES",
                          "X-SOUTH_AMERICA",
                          "X-SOUTH_WEST_ASIA",
                          "X-CENTRAL_EUROPE",
                          "X-EASTERN_EUROPE",
                          "X-WESTERN_EUROPE",
                          "X-CENTRAL_AMERICA",
                          "X-WESTERN_AFRICA",
                          "X-SOUTH_ATLANTIC_OCEAN",
                          "X-SOUTH_EAST_ASIA",
                          "X-CENTRAL_AFRICA",
                          "X-NORTH_AMERICA",
                          "X-EAST_ASIA",
                          "X-NORTHERN_EUROPE",
                          "X-EASTERN_AFRICA",
                          "X-SOUTHERN_INDIAN_OCEAN",
                          "X-SOUTHERN_EUROPE",
                          "X-CENTRAL_ASIA",
                          "X-NORTHERN_ASIA",
                          "X-ASIA",
                          "X-EUROPE",
                          "X-AFRICA",
                          "X-OCEANIA",
                          "X-AMERICAS",
                          "X-ANTARCTICA",
                          "X-ATLANTIC_OCEAN",
                          "X-INDIAN_OCEAN",
                          "X-MIDDLE_EAST",
                          "X-MENA",
                          "X-EMEA",
                          "X-EUROPEAN_UNION",
                          "X-EFTA",
                          "X-APAC",
                          "X-LATAM",
                          "X-ANGLOSPHERE",
                          "X-DACH",
                          "X-NORDICS",
                          "X-BENELUX",
                          "X-GCC",
                          "X-BRICS",
                          "X-G20",
                          "X-OECD",
                          "X-SANCTIONED"
                        ]
                      }
                    }
                  }
                },
                "headquartersStateName": {
                  "type": [
                    "object",
                    "null"
                  ],
                  "properties": {
                    "anyOf": {
                      "type": [
                        "array",
                        "null"
                      ],
                      "items": {
                        "type": "string"
                      }
                    },
                    "noneOf": {
                      "type": [
                        "array",
                        "null"
                      ],
                      "items": {
                        "type": "string"
                      }
                    }
                  }
                },
                "employeeCountV2": {
                  "type": [
                    "object",
                    "null"
                  ],
                  "properties": {
                    "lowerBoundExclusive": {
                      "type": [
                        "integer",
                        "null"
                      ],
                      "minimum": 0
                    },
                    "upperBoundInclusive": {
                      "type": [
                        "integer",
                        "null"
                      ],
                      "minimum": 0
                    }
                  }
                },
                "keywords": {
                  "type": [
                    "object",
                    "null"
                  ],
                  "properties": {
                    "containsAll": {
                      "type": [
                        "array",
                        "null"
                      ],
                      "items": {
                        "type": "string"
                      }
                    },
                    "containsAny": {
                      "type": [
                        "array",
                        "null"
                      ],
                      "items": {
                        "type": "string"
                      }
                    },
                    "containsNone": {
                      "type": [
                        "array",
                        "null"
                      ],
                      "items": {
                        "type": "string"
                      }
                    }
                  }
                },
                "industriesV2": {
                  "type": [
                    "object",
                    "null"
                  ],
                  "properties": {
                    "anyOf": {
                      "type": [
                        "array",
                        "null"
                      ],
                      "items": {
                        "type": "string",
                        "enum": [
                          "Administrative Services",
                          "Aerospace & Military",
                          "Artificial Intelligence",
                          "Arts & Music",
                          "Automotive",
                          "Business Services",
                          "Cloud",
                          "Construction",
                          "Consulting",
                          "Consumer Goods",
                          "Consumer Services",
                          "Design",
                          "Education",
                          "Energy",
                          "Entertainment",
                          "Environmental",
                          "Events",
                          "Farming & Agriculture",
                          "Finance",
                          "Food & Beverage",
                          "Gaming",
                          "Government",
                          "Hardware",
                          "Healthcare",
                          "Hospitality",
                          "Industrials",
                          "Information Technology",
                          "Insurance",
                          "Legal",
                          "Life Sciences",
                          "Logistics",
                          "Manufacturing",
                          "Marketing & Advertising",
                          "Media",
                          "Mining",
                          "Nonprofit",
                          "Publishing",
                          "Real Estate",
                          "Retail",
                          "Science & Engineering",
                          "Security",
                          "Software",
                          "Sports",
                          "Telecom",
                          "Trade",
                          "Transportation",
                          "Travel & Tourism",
                          "Utilities",
                          "Venture Capital"
                        ]
                      }
                    },
                    "noneOf": {
                      "type": [
                        "array",
                        "null"
                      ],
                      "items": {
                        "type": "string",
                        "enum": [
                          "Administrative Services",
                          "Aerospace & Military",
                          "Artificial Intelligence",
                          "Arts & Music",
                          "Automotive",
                          "Business Services",
                          "Cloud",
                          "Construction",
                          "Consulting",
                          "Consumer Goods",
                          "Consumer Services",
                          "Design",
                          "Education",
                          "Energy",
                          "Entertainment",
                          "Environmental",
                          "Events",
                          "Farming & Agriculture",
                          "Finance",
                          "Food & Beverage",
                          "Gaming",
                          "Government",
                          "Hardware",
                          "Healthcare",
                          "Hospitality",
                          "Industrials",
                          "Information Technology",
                          "Insurance",
                          "Legal",
                          "Life Sciences",
                          "Logistics",
                          "Manufacturing",
                          "Marketing & Advertising",
                          "Media",
                          "Mining",
                          "Nonprofit",
                          "Publishing",
                          "Real Estate",
                          "Retail",
                          "Science & Engineering",
                          "Security",
                          "Software",
                          "Sports",
                          "Telecom",
                          "Trade",
                          "Transportation",
                          "Travel & Tourism",
                          "Utilities",
                          "Venture Capital"
                        ]
                      }
                    },
                    "allOf": {
                      "type": [
                        "array",
                        "null"
                      ],
                      "items": {
                        "type": "string",
                        "enum": [
                          "Administrative Services",
                          "Aerospace & Military",
                          "Artificial Intelligence",
                          "Arts & Music",
                          "Automotive",
                          "Business Services",
                          "Cloud",
                          "Construction",
                          "Consulting",
                          "Consumer Goods",
                          "Consumer Services",
                          "Design",
                          "Education",
                          "Energy",
                          "Entertainment",
                          "Environmental",
                          "Events",
                          "Farming & Agriculture",
                          "Finance",
                          "Food & Beverage",
                          "Gaming",
                          "Government",
                          "Hardware",
                          "Healthcare",
                          "Hospitality",
                          "Industrials",
                          "Information Technology",
                          "Insurance",
                          "Legal",
                          "Life Sciences",
                          "Logistics",
                          "Manufacturing",
                          "Marketing & Advertising",
                          "Media",
                          "Mining",
                          "Nonprofit",
                          "Publishing",
                          "Real Estate",
                          "Retail",
                          "Science & Engineering",
                          "Security",
                          "Software",
                          "Sports",
                          "Telecom",
                          "Trade",
                          "Transportation",
                          "Travel & Tourism",
                          "Utilities",
                          "Venture Capital"
                        ]
                      }
                    }
                  }
                },
                "stage": {
                  "type": [
                    "object",
                    "null"
                  ],
                  "properties": {
                    "anyOf": {
                      "type": [
                        "array",
                        "null"
                      ],
                      "items": {
                        "type": "string",
                        "enum": [
                          "acquired",
                          "public",
                          "closed",
                          "pre_seed",
                          "seed",
                          "series_a",
                          "series_b",
                          "series_c",
                          "series_d",
                          "series_e",
                          "series_f",
                          "series_g",
                          "series_h",
                          "series_i",
                          "series_j",
                          "venture_other",
                          "private_equity",
                          "unknown",
                          "no_funding_yet"
                        ]
                      }
                    },
                    "noneOf": {
                      "type": [
                        "array",
                        "null"
                      ],
                      "items": {
                        "type": "string",
                        "enum": [
                          "acquired",
                          "public",
                          "closed",
                          "pre_seed",
                          "seed",
                          "series_a",
                          "series_b",
                          "series_c",
                          "series_d",
                          "series_e",
                          "series_f",
                          "series_g",
                          "series_h",
                          "series_i",
                          "series_j",
                          "venture_other",
                          "private_equity",
                          "unknown",
                          "no_funding_yet"
                        ]
                      }
                    }
                  }
                },
                "totalFundingUSD": {
                  "type": [
                    "object",
                    "null"
                  ],
                  "properties": {
                    "lowerBound": {
                      "type": [
                        "number",
                        "null"
                      ]
                    },
                    "upperBound": {
                      "type": [
                        "number",
                        "null"
                      ]
                    }
                  }
                },
                "lastFundingUSD": {
                  "type": [
                    "object",
                    "null"
                  ],
                  "properties": {
                    "lowerBound": {
                      "type": [
                        "number",
                        "null"
                      ]
                    },
                    "upperBound": {
                      "type": [
                        "number",
                        "null"
                      ]
                    }
                  }
                },
                "lastFundedOn": {
                  "oneOf": [
                    {
                      "type": "object",
                      "properties": {
                        "strategy": {
                          "type": "string",
                          "enum": [
                            "absolute"
                          ]
                        },
                        "range": {
                          "type": [
                            "object",
                            "null"
                          ],
                          "properties": {
                            "lowerBound": {
                              "type": [
                                "string",
                                "null"
                              ]
                            },
                            "upperBound": {
                              "type": [
                                "string",
                                "null"
                              ]
                            }
                          }
                        }
                      },
                      "required": [
                        "strategy"
                      ]
                    },
                    {
                      "type": "object",
                      "properties": {
                        "strategy": {
                          "type": "string",
                          "enum": [
                            "relative"
                          ]
                        },
                        "window": {
                          "oneOf": [
                            {
                              "type": "object",
                              "properties": {
                                "method": {
                                  "type": "string",
                                  "enum": [
                                    "lastN"
                                  ]
                                },
                                "period": {
                                  "type": "string",
                                  "enum": [
                                    "day",
                                    "week",
                                    "month",
                                    "quarter",
                                    "year"
                                  ]
                                },
                                "quantity": {
                                  "type": "number",
                                  "minimum": 1
                                }
                              },
                              "required": [
                                "method",
                                "period",
                                "quantity"
                              ]
                            },
                            {
                              "type": "object",
                              "properties": {
                                "method": {
                                  "type": "string",
                                  "enum": [
                                    "within"
                                  ]
                                },
                                "period": {
                                  "type": "string",
                                  "enum": [
                                    "day",
                                    "week",
                                    "month",
                                    "quarter",
                                    "year"
                                  ]
                                },
                                "lowerBound": {
                                  "type": [
                                    "number",
                                    "null"
                                  ]
                                },
                                "upperBound": {
                                  "type": [
                                    "number",
                                    "null"
                                  ]
                                }
                              },
                              "required": [
                                "method",
                                "period"
                              ]
                            },
                            {
                              "type": "object",
                              "properties": {
                                "method": {
                                  "type": "string",
                                  "enum": [
                                    "calendar"
                                  ]
                                },
                                "which": {
                                  "type": "string",
                                  "enum": [
                                    "current",
                                    "previous"
                                  ]
                                },
                                "period": {
                                  "type": "string",
                                  "enum": [
                                    "day",
                                    "week",
                                    "month",
                                    "quarter",
                                    "year"
                                  ]
                                }
                              },
                              "required": [
                                "method",
                                "which",
                                "period"
                              ]
                            },
                            {
                              "type": "null"
                            }
                          ]
                        }
                      },
                      "required": [
                        "strategy"
                      ]
                    },
                    {
                      "type": "null"
                    }
                  ]
                },
                "foundedOn": {
                  "oneOf": [
                    {
                      "type": "object",
                      "properties": {
                        "strategy": {
                          "type": "string",
                          "enum": [
                            "absolute"
                          ]
                        },
                        "range": {
                          "type": [
                            "object",
                            "null"
                          ],
                          "properties": {
                            "lowerBound": {
                              "type": [
                                "string",
                                "null"
                              ]
                            },
                            "upperBound": {
                              "type": [
                                "string",
                                "null"
                              ]
                            }
                          }
                        }
                      },
                      "required": [
                        "strategy"
                      ]
                    },
                    {
                      "type": "object",
                      "properties": {
                        "strategy": {
                          "type": "string",
                          "enum": [
                            "relative"
                          ]
                        },
                        "window": {
                          "oneOf": [
                            {
                              "type": "object",
                              "properties": {
                                "method": {
                                  "type": "string",
                                  "enum": [
                                    "lastN"
                                  ]
                                },
                                "period": {
                                  "type": "string",
                                  "enum": [
                                    "day",
                                    "week",
                                    "month",
                                    "quarter",
                                    "year"
                                  ]
                                },
                                "quantity": {
                                  "type": "number",
                                  "minimum": 1
                                }
                              },
                              "required": [
                                "method",
                                "period",
                                "quantity"
                              ]
                            },
                            {
                              "type": "object",
                              "properties": {
                                "method": {
                                  "type": "string",
                                  "enum": [
                                    "within"
                                  ]
                                },
                                "period": {
                                  "type": "string",
                                  "enum": [
                                    "day",
                                    "week",
                                    "month",
                                    "quarter",
                                    "year"
                                  ]
                                },
                                "lowerBound": {
                                  "type": [
                                    "number",
                                    "null"
                                  ]
                                },
                                "upperBound": {
                                  "type": [
                                    "number",
                                    "null"
                                  ]
                                }
                              },
                              "required": [
                                "method",
                                "period"
                              ]
                            },
                            {
                              "type": "object",
                              "properties": {
                                "method": {
                                  "type": "string",
                                  "enum": [
                                    "calendar"
                                  ]
                                },
                                "which": {
                                  "type": "string",
                                  "enum": [
                                    "current",
                                    "previous"
                                  ]
                                },
                                "period": {
                                  "type": "string",
                                  "enum": [
                                    "day",
                                    "week",
                                    "month",
                                    "quarter",
                                    "year"
                                  ]
                                }
                              },
                              "required": [
                                "method",
                                "which",
                                "period"
                              ]
                            },
                            {
                              "type": "null"
                            }
                          ]
                        }
                      },
                      "required": [
                        "strategy"
                      ]
                    },
                    {
                      "type": "null"
                    }
                  ]
                },
                "nameLike": {
                  "type": [
                    "object",
                    "null"
                  ],
                  "properties": {
                    "anyOf": {
                      "type": [
                        "array",
                        "null"
                      ],
                      "items": {
                        "type": "string"
                      }
                    },
                    "noneOf": {
                      "type": [
                        "array",
                        "null"
                      ],
                      "items": {
                        "type": "string"
                      }
                    }
                  }
                },
                "exactCompany": {
                  "type": [
                    "object",
                    "null"
                  ],
                  "properties": {
                    "anyOf": {
                      "type": [
                        "array",
                        "null"
                      ],
                      "items": {
                        "type": "object",
                        "properties": {
                          "linkedin_id": {
                            "type": [
                              "string",
                              "null"
                            ]
                          },
                          "li_org_id": {
                            "type": "string"
                          },
                          "preferred_name": {
                            "type": [
                              "string",
                              "null"
                            ]
                          },
                          "names": {
                            "type": [
                              "array",
                              "null"
                            ],
                            "items": {
                              "type": "string"
                            }
                          },
                          "linkedin_primary_slug": {
                            "type": [
                              "string",
                              "null"
                            ]
                          },
                          "domains": {
                            "type": [
                              "array",
                              "null"
                            ],
                            "items": {
                              "type": "string"
                            }
                          },
                          "logo_url": {
                            "type": [
                              "string",
                              "null"
                            ]
                          },
                          "source": {
                            "type": [
                              "string",
                              "null"
                            ],
                            "enum": [
                              "csv",
                              null
                            ]
                          }
                        },
                        "required": [
                          "li_org_id"
                        ]
                      }
                    },
                    "noneOf": {
                      "type": [
                        "array",
                        "null"
                      ],
                      "items": {
                        "type": "object",
                        "properties": {
                          "linkedin_id": {
                            "type": [
                              "string",
                              "null"
                            ]
                          },
                          "li_org_id": {
                            "type": "string"
                          },
                          "preferred_name": {
                            "type": [
                              "string",
                              "null"
                            ]
                          },
                          "names": {
                            "type": [
                              "array",
                              "null"
                            ],
                            "items": {
                              "type": "string"
                            }
                          },
                          "linkedin_primary_slug": {
                            "type": [
                              "string",
                              "null"
                            ]
                          },
                          "domains": {
                            "type": [
                              "array",
                              "null"
                            ],
                            "items": {
                              "type": "string"
                            }
                          },
                          "logo_url": {
                            "type": [
                              "string",
                              "null"
                            ]
                          },
                          "source": {
                            "type": [
                              "string",
                              "null"
                            ],
                            "enum": [
                              "csv",
                              null
                            ]
                          }
                        },
                        "required": [
                          "li_org_id"
                        ]
                      }
                    }
                  }
                
… _truncated to 65536 chars for ai-docs._
```

## Response — success (JSON Schema)

```json
{
  "type": "object",
  "properties": {
    "output": {
      "type": "object",
      "properties": {
        "id": {
          "type": "string",
          "description": "The ID of the saved search."
        }
      },
      "required": [
        "id"
      ]
    },
    "chargeInfo": {
      "oneOf": [
        {
          "type": "object",
          "properties": {
            "method": {
              "type": "string",
              "enum": [
                "charged-now"
              ]
            },
            "creditsCharged": {
              "type": "number"
            },
            "lowCreditAlert": {
              "type": [
                "object",
                "null"
              ],
              "properties": {
                "getMoreCreditsUrl": {
                  "type": "string",
                  "format": "uri",
                  "description": "URL to top up credits or restart billing cycle to get fresh credits."
                },
                "message": {
                  "type": "string",
                  "description": "Human-readable credits warning."
                },
                "availableCredits": {
                  "type": "number",
                  "description": "Number of credits remaining in the current billing period."
                }
              },
              "required": [
                "getMoreCreditsUrl",
                "message",
                "availableCredits"
              ],
              "description": "Contains a link to get more credits, a warning message, and the remaining credit count."
            }
          },
          "required": [
            "method",
            "creditsCharged"
          ],
          "description": "Credits were charged immediately for this operation"
        },
        {
          "type": "object",
          "properties": {
            "method": {
              "type": "string",
              "enum": [
                "charging-later"
              ]
            },
            "message": {
              "type": "string"
            },
            "lowCreditAlert": {
              "type": [
                "object",
                "null"
              ],
              "properties": {
                "getMoreCreditsUrl": {
                  "type": "string",
                  "format": "uri",
                  "description": "URL to top up credits or restart billing cycle to get fresh credits."
                },
                "message": {
                  "type": "string",
                  "description": "Human-readable credits warning."
                },
                "availableCredits": {
                  "type": "number",
                  "description": "Number of credits remaining in the current billing period."
                }
              },
              "required": [
                "getMoreCreditsUrl",
                "message",
                "availableCredits"
              ],
              "description": "Contains a link to get more credits, a warning message, and the remaining credit count."
            }
          },
          "required": [
            "method",
            "message"
          ],
          "description": "Credits will be charged after the operation completes"
        },
        {
          "type": "object",
          "properties": {
            "method": {
              "type": "string",
              "enum": [
                "charged-for-async-process"
              ]
            },
            "creditsCharged": {
              "type": "number"
            },
            "message": {
              "type": "string"
            },
            "lowCreditAlert": {
              "type": [
                "object",
                "null"
              ],
              "properties": {
                "getMoreCreditsUrl": {
                  "type": "string",
                  "format": "uri",
                  "description": "URL to top up credits or restart billing cycle to get fresh credits."
                },
                "message": {
                  "type": "string",
                  "description": "Human-readable credits warning."
                },
                "availableCredits": {
                  "type": "number",
                  "description": "Number of credits remaining in the current billing period."
                }
              },
              "required": [
                "getMoreCreditsUrl",
                "message",
                "availableCredits"
              ],
              "description": "Contains a link to get more credits, a warning message, and the remaining credit count."
            }
          },
          "required": [
            "method",
            "creditsCharged",
            "message"
          ],
          "description": "Credits that were charged for an asynchronous operation"
        },
        {
          "type": "object",
          "properties": {
            "method": {
              "type": "string",
              "enum": [
                "free"
              ]
            },
            "message": {
              "type": "string"
            },
            "lowCreditAlert": {
              "type": [
                "object",
                "null"
              ],
              "properties": {
                "getMoreCreditsUrl": {
                  "type": "string",
                  "format": "uri",
                  "description": "URL to top up credits or restart billing cycle to get fresh credits."
                },
                "message": {
                  "type": "string",
                  "description": "Human-readable credits warning."
                },
                "availableCredits": {
                  "type": "number",
                  "description": "Number of credits remaining in the current billing period."
                }
              },
              "required": [
                "getMoreCreditsUrl",
                "message",
                "availableCredits"
              ],
              "description": "Contains a link to get more credits, a warning message, and the remaining credit count."
            }
          },
          "required": [
            "method",
            "message"
          ],
          "description": "No credits were charged for this operation"
        },
        {
          "type": "object",
          "properties": {
            "method": {
              "type": "string",
              "enum": [
                "credits-refunded"
              ]
            },
            "creditsRefunded": {
              "type": "number"
            },
            "message": {
              "type": "string"
            },
            "lowCreditAlert": {
              "type": [
                "object",
                "null"
              ],
              "properties": {
                "getMoreCreditsUrl": {
                  "type": "string",
                  "format": "uri",
                  "description": "URL to top up credits or restart billing cycle to get fresh credits."
                },
                "message": {
                  "type": "string",
                  "description": "Human-readable credits warning."
                },
                "availableCredits": {
                  "type": "number",
                  "description": "Number of credits remaining in the current billing period."
                }
              },
              "required": [
                "getMoreCreditsUrl",
                "message",
                "availableCredits"
              ],
              "description": "Contains a link to get more credits, a warning message, and the remaining credit count."
            }
          },
          "required": [
            "method",
            "creditsRefunded",
            "message"
          ],
          "description": "Credits were refunded for this operation"
        }
      ]
    },
    "warnings": {
      "type": [
        "array",
        "null"
      ],
      "items": {
        "type": "object",
        "properties": {
          "field": {
            "type": "string",
            "description": "Full path to extraneous field (e.g., 'searchParams.ExtraField')"
          },
          "message": {
            "type": "string",
            "description": "Warning message"
          }
        },
        "required": [
          "field",
          "message"
        ]
      },
      "description": "Warnings about extraneous fields in request"
    },
    "advice": {
      "type": [
        "array",
        "null"
      ],
      "items": {
        "type": "string"
      },
      "description": "Tips, recommendations, and suggestions for using this API effectively."
    }
  },
  "required": [
    "output",
    "chargeInfo"
  ],
  "additionalProperties": false
}
```

---

Canonical JSON: [`https://api.fiber.ai/openapi.json`](https://api.fiber.ai/openapi.json)
Operation index: [`https://api.fiber.ai/ai-docs/index.md`](https://api.fiber.ai/ai-docs/index.md)
